"use client";

import { fabric } from "fabric";
import { useEditor } from "@/features/editor/hooks/use-editor";
import { useEffect, useRef } from "react";

export const Editor = () => {
  const { init } = useEditor();

  const canvasRef = useRef(null);
  const ContainerRef = useRef<HTMLDivElement>(null);

  useEffect(() => {
    const canvas = new fabric.Canvas(canvasRef.current, {
      controlsAboveOverlay: true,
      preserveObjectStacking: true,
    });
    
    init({
      initialCanvas: canvas,
      initialContainer: ContainerRef.current!,
    });
  }, [init]);

  return (
    <div className="h-full flex flex-col">
      <div className="flex-1 h-full bg-muted" ref={ContainerRef}>
        <canvas ref={canvasRef} />
      </div>
    </div>
  );
};
